XSetFont(3X11)

NAME
XSetFont - GC convenience routines

SYNTAX

int XSetFont(Display *display, GC gc, Font font);

ARGUMENTS

display
    Specifies the connection to the X server.

font
    Specifies the font.

gc  Specifies the GC.

DESCRIPTION
The function sets the current font in the specified GC.

can generate and errors.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Font or GContext argument does not name a defined Font.

A value for a GContext argument does not name a defined GContext.

SEE ALSO
XCreateGC(3X11), XQueryBestSize(3X11), XSetArcMode(3X11), XSetClipOrigin(3X11), XSetFillStyle(3X11), XSetLineAttributes(3X11), XSetState(3X11), XSetTile(3X11)
Xlib - C Language X Interface